Page MenuHomePhabricator

Newline between templates removed by VE
Closed, ResolvedPublic1 Story Points

Description

In https://fr.wikipedia.org/w/index.php?diff=112876979 a newline between two templates was removed. @Catrope suggested that this may be related to the user clicking on the add-paragraph placeholder. There's another example at the bottom of https://fr.wikipedia.org/w/index.php?diff=112876687&diffonly=yes

Event Timeline

gpaumier created this task.Mar 18 2015, 8:11 PM
gpaumier raised the priority of this task from to Needs Triage.
gpaumier updated the task description. (Show Details)
gpaumier added a project: VisualEditor.
gpaumier added subscribers: gpaumier, Eloquence, Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2015, 8:11 PM

Change 198168 had a related patch set uploaded (by Catrope):
[WIP] Failing test case for whitespace crossing slug paragraphs

https://gerrit.wikimedia.org/r/198168

Jdforrester-WMF closed this task as Resolved.Mar 20 2015, 10:52 PM
Jdforrester-WMF assigned this task to Catrope.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.

Change 198168 merged by jenkins-bot:
Don't drop whitespace when removing empty slug paragraphs

https://gerrit.wikimedia.org/r/198168

Verified the fix in beta.

Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Apr 1 2015, 4:13 PM